<bugID>943960<Summary>[Australis] When opening a new tab, the close icon appears too soon</Summary><Description>Created attachment 8339389
first frames of tab open animation

See the first frame of the attachment.
Also, having the text dynamically truncated during the transition contributes to the animation looking a little wonky. We should just display the text when the animation is finished or, even better, fade it in.</Description></bugID>